[ooo-build-commit] .: fetch_tarballs.sh Makefile.in set_soenv.in
Jan Holesovsky
kendy at kemper.freedesktop.org
Mon Aug 23 09:42:35 PDT 2010
Makefile.in | 7 +++++++
fetch_tarballs.sh | 19 +++++++++----------
set_soenv.in | 17 ++++++++---------
3 files changed, 24 insertions(+), 19 deletions(-)
New commits:
commit a1f6a2c1f92b7e3cc7bff8c1912b3d2ce33e8bbb
Author: Jan Holesovsky <kendy at suse.cz>
Date: Fri Aug 20 16:43:34 2010 +0200
Make ./configure & friends more user friendly.
diff --git a/Makefile.in b/Makefile.in
index be50d1d..db9849b 100644
--- a/Makefile.in
+++ b/Makefile.in
@@ -15,3 +15,10 @@ clean:
. ./*Env.Set.sh && \
dmake clean
+dev-install:
+ . ./*Env.Set.sh && \
+ cd @SRC_ROOT@/instsetoo_native/util && \
+ LOCALINSTALLDIR=@SRC_ROOT@/install dmake openoffice_en-US PKGFORMAT=installed && \
+ $SOLARENV/bin/linkoo @SRC_ROOT@/install @SRC_ROOT@ && \
+ echo && \
+ echo "Developer installation finished in @SRC_ROOT@"
diff --git a/fetch_tarballs.sh b/fetch_tarballs.sh
index f7ed0e0..f3fe683 100755
--- a/fetch_tarballs.sh
+++ b/fetch_tarballs.sh
@@ -27,23 +27,22 @@
#*************************************************************************
if [ -z "$TARFILE_LOCATION" ]; then
- echo "ERROR: no destination defined! please set TARFILE_LOCATION!"
- exit
+ echo "Error: No destination defined, you probably forgot to source the environment?"
+ exit 1
fi
if [ ! -d "$TARFILE_LOCATION" ]; then
mkdir $TARFILE_LOCATION
fi
if [ ! -d "$TARFILE_LOCATION" ]; then
- echo "ERROR: can't create"
- exit
+ echo "Error: Cannot create $TARFILE_LOCATION."
+ exit 1
fi
-if [ -z "$1" ]; then
- echo "ERROR: parameter missing!"
- echo "usage: $0 <fetch list>"
- echo "first line must define the base url."
- exit
+FILELIST="$1"
+if [ -z "$FILELIST" ]; then
+ echo "No filelist provided, using the default ooo.lst."
+ FILELIST="ooo.lst"
fi
# check for wget and md5sum
@@ -106,7 +105,7 @@ start_dir=`pwd`
logfile=$TARFILE_LOCATION/fetch.log
date >> $logfile
-filelist=`cat $1`
+filelist=`cat $FILELIST`
mkdir -p $TARFILE_LOCATION/tmp
cd $TARFILE_LOCATION/tmp
echo $$ > fetch-running
diff --git a/set_soenv.in b/set_soenv.in
index 94fab67..6c2c09f 100644
--- a/set_soenv.in
+++ b/set_soenv.in
@@ -2097,17 +2097,17 @@ if ( $Warning ne "" )
print "$newline";
}
-print "*$newline* USAGE: $newline";
-print "* Source $outfile (in tcsh)";
-print " or $outfile.sh (in sh)";
-print "$newline";
-print "* in order to set up the build-environment variables.$newline";
-for ( $tmp = 0; $tmp < 2; $tmp++ )
-{ print "* $newline";
-}
print "*********************************************************".
"******************* $newline";
+print "\nTo build, do:\n";
+print " \$ source $outfile.sh\n";
+print " \$ ./bootstrap\n";
+print " \$ ./fetch_tarballs.sh\n";
+print " \$ make\n\n";
+print "Developer installation (after you have built):\n";
+print " \$ make dev-install\n\n";
+
$bootfile = "bootstrap";
open( OUT, ">$bootfile" ) ||
die "Cannot open $bootfile: $!\n";
@@ -2130,7 +2130,6 @@ if (rename( $bootfile, $tmp ) ne 1)
}
print "Configure completed\n";
-print "You may now run ./bootstrap in $SRC_ROOT\n";
if ( $Warning ne "" ) {
print "***** WARNINGS ISSUED *****\n";
}
More information about the ooo-build-commit
mailing list